API V2 (Beta)
HubSpot Integrations
HubSpot Integrations
Section titled “HubSpot Integrations”Connect a project to HubSpot, choose what it translates, and sync, push or pull its content.
Operations
| Operation | Request |
|---|---|
| Sync with HubSpot | POST /v2/projects/{projectId}/integrations/hubspot/sync |
| Push to HubSpot | POST /v2/projects/{projectId}/integrations/hubspot/push |
| Pull from HubSpot | POST /v2/projects/{projectId}/integrations/hubspot/pull |
| Create a HubSpot project | POST /v2/integrations/hubspot/projects |
| Retrieve the HubSpot integration | GET /v2/projects/{projectId}/integrations/hubspot |
| Update the HubSpot integration | PATCH /v2/projects/{projectId}/integrations/hubspot |